View Issue Details

IDProjectCategoryLast Update
0023748AI War 2[All Projects] Bug - OtherSep 25, 2020 9:52 pm
ReporterRocketAssistedPuffinAssigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product VersionBeta 2.506 ExternalData Overhaul Two 
Fixed in Version2.600 Multiplayer Alpha Full Announcement 
Summary0023748: Multiplayer: Client loses chat history if anyone changes homeworld.
DescriptionNothing appears to be in the log, but attached.

Other issues have their own reports.
TagsNo tags attached.

Activities

RocketAssistedPuffin

Sep 16, 2020 7:57 am

reporter  

ArcenDebugLog.txt (33,178 bytes)
9/16/2020 12:30:34 PM	Current directory used: D:/Steam/steamapps/common/AI War 2/
Process Count = 0 so PlayerDataDirectory used: D:/Steam/steamapps/common/AI War 2/PlayerData/
9/16/2020 12:30:34 PM	Boot up FleetOS (0.3998s)
9/16/2020 12:30:35 PM	graphicsDeviceType in use: Direct3D11
graphicsDeviceVersion in use: Direct3D 11.0 [level 11.0]
graphicsMultiThreaded: True
graphicsShaderLevel: 50
operatingSystem: Windows 8.1  (6.3.0) 64bit
graphicsDeviceName: NVIDIA GeForce GTX 750 Ti
graphicsDeviceID: 4992
graphicsDeviceVendor: NVIDIA
graphicsDeviceVendorID: 4318
graphicsDeviceVersion: Direct3D 11.0 [level 11.0]
graphicsMemorySize: 1968
maxTextureSize: 16384
npotSupport: Full
processorType: Intel(R) Core(TM) i5-4460 CPU @ 3.20GHz
processorCount: 4
processorFrequency: 3193
systemMemorySize: 8144
supportedRenderTargetCount: 8
supportsComputeShaders: True
supportsShadows: True
usesReversedZBuffer: True
9/16/2020 12:30:35 PM	Check System Logs For Rogue Intelligence (0.3245s)
9/16/2020 12:30:35 PM	Game Version: 2.506
9/16/2020 12:30:35 PM	Eject Trash Into Hyperspace (0.0881s)
9/16/2020 12:30:35 PM	Check For Extra Modules (0.0430s)
9/16/2020 12:30:35 PM	Bring Cloaking Systems Online (0.0961s)
9/16/2020 12:30:35 PM	Recalculate Speed Of Light (0.0650s)
9/16/2020 12:30:35 PM	Optimize Comfort On Command Decks (0.0450s)
9/16/2020 12:30:35 PM	Generating Framerates (0.0310s)
9/16/2020 12:30:35 PM	Expansions:  The Spire Rises (Installed And Enabled!)  Zenith Onslaught (Installed And Enabled!)  
9/16/2020 12:30:35 PM	Mods:  MacrophageHistiocytes-CF (Disabled)  MacrophageHistiocytesSpireIntegration-CF (Disabled)  MoreStartingOptions (Disabled)  PreceptsOfThePrecursors-CF (Disabled)  SKCivilianIndustry (Disabled)  SpireRailgunShop (Disabled)  
9/16/2020 12:30:35 PM	Check Nearby Stellar Masses (0.0941s)
9/16/2020 12:30:35 PM	Remembering Alamo (0.0690s)
9/16/2020 12:30:35 PM	Boot Audio Comms (0.0270s)
9/16/2020 12:30:35 PM	Establish Individual Audio Links (0.0400s)
9/16/2020 12:30:35 PM	Prepare Explosions and Crackles (0.0972s)
9/16/2020 12:30:35 PM	No resolution change was required.
9/16/2020 12:30:35 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
9/16/2020 12:30:35 PM	Applied Framerate Type: 60 FPS (vsync: 0 targetFPS:60)
9/16/2020 12:30:36 PM	Refresh Optical Lensing (0.0300s)
9/16/2020 12:30:36 PM	Revise Fundamental Physical Laws (0.0190s)
9/16/2020 12:30:36 PM	Calculate Odds Of Success (0.2516s)
9/16/2020 12:30:40 PM	Briefly Panic (4.1799s)
9/16/2020 12:30:40 PM	Install Confidence Routines (0.2882s)
9/16/2020 12:30:40 PM	Bring Commander Interface Online (0.1803s)
9/16/2020 12:30:41 PM	Motivate All Crews (0.0871s)
9/16/2020 12:30:41 PM	Locating Available Networks (0.0340s)
9/16/2020 12:30:41 PM	Externalizing Patterns (0.0490s)
9/16/2020 12:30:41 PM	Hooking Externals (0.0220s)
9/16/2020 12:30:41 PM	Handlizing Hooks (0.0260s)
9/16/2020 12:30:41 PM	Disengaging Constants (0.3349s)
9/16/2020 12:30:41 PM	Late Axionic Computations (0.2884s)
9/16/2020 12:30:41 PM	Connecting to Fleet Command (0.0270s)
9/16/2020 12:30:41 PM	Thinking Of Advice (0.0260s)
9/16/2020 12:30:41 PM	Degaussing Advice (0.1706s)
9/16/2020 12:30:42 PM	Reading Alien Diaries (0.1455s)
9/16/2020 12:30:42 PM	Naming All Known Planets (0.0300s)
9/16/2020 12:30:42 PM	Remembering Speeds (0.0200s)
9/16/2020 12:30:42 PM	Prioritizing Targets (0.0331s)
9/16/2020 12:30:42 PM	Rebooting Sensor Arrays (0.0170s)
9/16/2020 12:30:42 PM	Unloading Prismatic Grid (0.0130s)
9/16/2020 12:30:42 PM	Thinking Of Objectives (0.0170s)
9/16/2020 12:30:42 PM	Inhibiting Visual Scans (0.0410s)
9/16/2020 12:30:42 PM	Synthesizing Vocals (0.0200s)
9/16/2020 12:30:42 PM	Investigating Map Signatures (0.0650s)
9/16/2020 12:30:42 PM	Ventilating Scenarios (0.0110s)
9/16/2020 12:30:42 PM	Decontaminating Targeting Systems (0.0311s)
9/16/2020 12:30:42 PM	Ejecting Tactical Core (0.0260s)
9/16/2020 12:30:42 PM	Calibrating Formations (0.0110s)
9/16/2020 12:30:42 PM	Intercepting Galactic Maps (0.0412s)
9/16/2020 12:30:42 PM	Discharging Colored Ions (0.0381s)
9/16/2020 12:30:42 PM	Replicating Ion Colors (0.0240s)
9/16/2020 12:30:42 PM	Faction Diagnostics (0.0781s)
9/16/2020 12:30:42 PM	Buffering Hackers (0.0660s)
9/16/2020 12:30:42 PM	Inverting Death (0.0381s)
9/16/2020 12:30:42 PM	Linear Field Variance (0.0552s)
9/16/2020 12:30:42 PM	Charging Marks (0.0301s)
9/16/2020 12:30:42 PM	Guarding The Posts (0.0891s)
9/16/2020 12:30:42 PM	Range Manifolds (0.0240s)
9/16/2020 12:30:42 PM	Purging ROFs (0.0150s)
9/16/2020 12:30:42 PM	Manipulating Speeds (0.0281s)
9/16/2020 12:30:43 PM	Detecting Projectiles (0.0110s)
9/16/2020 12:30:43 PM	Grouping Flow Fields (0.0240s)
9/16/2020 12:30:43 PM	Modulating Flow Field Groups (0.0871s)
9/16/2020 12:30:43 PM	Designing Fleets (0.1322s)
9/16/2020 12:30:43 PM	Thinking Of Technologies (0.0451s)
9/16/2020 12:30:43 PM	Categorizing Starboard Sensors (0.0430s)
9/16/2020 12:30:43 PM	Injecting Galactic Variables (0.0460s)
9/16/2020 12:30:43 PM	Fearing Starfields (0.0951s)
9/16/2020 12:30:45 PM	Rejecting Distant Planets (1.7385s)
9/16/2020 12:30:45 PM	Categorizing All Planets (0.0170s)
9/16/2020 12:30:45 PM	Organizing Commands (0.0470s)
9/16/2020 12:30:45 PM	Calculating Firing Cones (0.0150s)
9/16/2020 12:30:46 PM	Kicking Ship Parts Down Elevator Shaft (1.3022s)
9/16/2020 12:30:46 PM	Re-Aligning Objectives (0.2376s)
9/16/2020 12:30:46 PM	Sterilizing Test Chamber (0.0862s)
9/16/2020 12:30:55 PM	Reformatting Navigation (8.7065s)
9/16/2020 12:30:55 PM	Issuing Orders (0.0210s)
9/16/2020 12:30:55 PM	Augmenting Infusers (0.0160s)
9/16/2020 12:30:55 PM	Infusing (0.1082s)
9/16/2020 12:30:55 PM	Post-Proton Surge (0.0140s)
9/16/2020 12:30:55 PM	Stimulate Modulation (0.0430s)
9/16/2020 12:30:56 PM	ArcenAssetBundleCache.InstantiatedObjects: 692
9/16/2020 12:30:56 PM	Load Surrogates (1.1303s)
9/16/2020 12:30:58 PM	Final Checks (1.6352s)
9/16/2020 12:30:58 PM	Load Historical Documents (0.0170s)
9/16/2020 12:30:58 PM	24.1 seconds total load time.
Boot up FleetOS (0.4s)
Check System Logs For Rogue Intelligence (0.3s)
Calculate Odds Of Success (0.3s)
Briefly Panic (4.2s)
Install Confidence Routines (0.3s)
Disengaging Constants (0.3s)
Late Axionic Computations (0.3s)
Rejecting Distant Planets (1.7s)
Kicking Ship Parts Down Elevator Shaft (1.3s)
Reformatting Navigation (8.7s)
Load Surrogates (1.1s)
Final Checks (1.6s)
9/16/2020 12:30:58 PM	Hello Steam user 'RocketAssistedPuffin'
9/16/2020 12:31:09 PM	No resolution change was required.
9/16/2020 12:31:09 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
9/16/2020 12:31:09 PM	Applied Framerate Type: 60 FPS (vsync: 0 targetFPS:60)
9/16/2020 12:32:22 PM	No resolution change was required.
9/16/2020 12:32:22 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
9/16/2020 12:32:22 PM	Applied Framerate Type: 60 FPS (vsync: 0 targetFPS:60)
9/16/2020 12:32:56 PM	Attempting Steam P2P connection to DEMOCRACY? DEMOCRACY!.
9/16/2020 12:32:56 PM	STEAM NETWORKING: P2P connection attempt with DEMOCRACY? DEMOCRACY!
9/16/2020 12:33:06 PM	Multiplayer Connection Time Taken: Establishing_Connection - 10.0s
9/16/2020 12:34:20 PM	Start load save: D:/Steam/steamapps/common/AI War 2/PlayerData/Save/_Internal/LastLobbySettings.save Source1: StartingTheLobbyFromPrior Source3: LoadingLastLobbySettings
9/16/2020 12:34:20 PM	Arcen.AIW2.External.ExternalData_GroupTargetSorting: Tried to initialize Parent object as GameEntity_Squad, but type was Arcen.Universal.World
9/16/2020 12:34:20 PM	Arcen.AIW2.External.ExternalData_GroupTargetSorting: Tried to initialize Parent object as GameEntity_Squad, but type was Arcen.Universal.World
9/16/2020 12:34:20 PM	Arcen.AIW2.External.FallenSpirePerUnitExternalData: Tried to initialize Parent object as GameEntity_Squad, but type was Arcen.Universal.World
9/16/2020 12:34:20 PM
Error, received 166150 items in external pattern FallenSpirePerUnitData when that pattern is only supposed to contain 1; the extra items will be ignored (parsing the non-ignored items may cause errors if the pattern implementation is not expecting the right types, etc) ExternalDataHeader: EXTERNAL DATA - World

  at System.Environment.get_StackTrace () [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <d638dc0226664b28ab0f70680cc32cf7>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <d638dc0226664b28ab0f70680cc32cf7>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <d638dc0226664b28ab0f70680cc32cf7>:0 
  at Arcen.Universal.ArcenExternalData.DeserializedIntoSelf (Arcen.Universal.ArcenDeserializationBuffer Buffer, System.Boolean IsForPartialSyncDuringMultiplayer, System.String ExternalDataHeader) [0x00000] in <d638dc0226664b28ab0f70680cc32cf7>:0 
  at Arcen.Universal.ArcenExternalData.DeserializeExternalDataFrom (Arcen.Universal.ArcenExternalDataPattern externalPattern, System.String namespaceName, System.Object ParentObject, Arcen.Universal.ArcenDeserializationBuffer Buffer, System.String ExternalDataHeader, System.Boolean IsForPartialSyncDuringMultiplayer) [0x00000] in <d638dc0226664b28ab0f70680cc32cf7>:0 
  at Arcen.Universal.ArcenExternalDataLookup.DeserializeExternalDataFrom (System.Object ParentObject, Arcen.Universal.ArcenDeserializationBuffer Buffer, System.String ExternalDataHeader, System.Boolean IsForPartialSyncDuringMultiplayer) [0x00000] in <d638dc0226664b28ab0f70680cc32cf7>:0 
  at Arcen.Universal.World.DeserializedIntoSelf (Arcen.Universal.ArcenDeserializationBuffer Buffer, System.Boolean LoadAsTemplate, System.Boolean HideErrors, System.String& ErrorText, System.Boolean DoPartialSyncForDuringGameplay) [0x00000] in <d638dc0226664b28ab0f70680cc32cf7>:0 
  at Arcen.Universal.World.DeserializeNewWorldFrom (Arcen.Universal.ArcenDeserializationBuffer Buffer, System.Boolean LoadAsTemplate, System.Boolean HideErrors, System.String& ErrorText) [0x00000] in <d638dc0226664b28ab0f70680cc32cf7>:0 
  at Arcen.Universal.World.LoadWorldFromDiskInner (System.String SaveName, System.Byte[] Bytes, System.Boolean LoadAsTemplate, System.Boolean HideErrors, Arcen.Universal.GameVersion& FromGameVersion) [0x00000] in <d638dc0226664b28ab0f70680cc32cf7>:0 
  at Arcen.Universal.World.LoadWorldFromDiskNoCampaignNameSet (System.String FullSaveName, System.Boolean LoadAsTemplate, System.Boolean HideErrors, Arcen.Universal.GameVersion& FromGameVersion) [0x00000] in <d638dc0226664b28ab0f70680cc32cf7>:0 
  at Arcen.Universal.Engine_Universal.LoadGameNoCampaignNameSet_NeverCallDirectly_P1 (System.String FullSaveGameName, System.Boolean LoadAsTemplate, System.Boolean HideErrors) [0x00000] in <d638dc0226664b28ab0f70680cc32cf7>:0 
  at Arcen.AIW2.Core.Engine_AIW2.LoadGameNoCampaignNameSet (System.String FullSaveGameName, Arcen.AIW2.Core.StartWorldSource1 StartSource1, Arcen.AIW2.Core.StartWorldSource2 StartSource2) [0x00000] in <f83b275af74044589590b411f8fff383>:0 
  at Arcen.AIW2.External.Window_MainMenu+bCustomStartGame.StartCustomGame (System.Boolean StartInSinglePlayer) [0x00000] in <caf8d92f8aee453b9c9dba1819492f3d>:0 
  at Arcen.AIW2.External.Window_MainMenu+bCustomStartGame.HandleClick_Subclass (MouseHandlingInput input) [0x00000] in <caf8d92f8aee453b9c9dba1819492f3d>:0 
  at Arcen.AIW2.External.ButtonAbstractBase.HandleClick (MouseHandlingInput input) [0x00000] in <caf8d92f8aee453b9c9dba1819492f3d>:0 
  at Arcen.Universal.ArcenUI_Button.OnClick (UnityEngine.EventSystems.PointerEventData eventData) [0x00000] in <d638dc0226664b28ab0f70680cc32cf7>:0 
  at Arcen.Universal.ArcenUI_Button.OnPointerClick (UnityEngine.EventSystems.PointerEventData eventData) [0x00000] in <d638dc0226664b28ab0f70680cc32cf7>:0 
  at UnityEngine.EventSystems.ExecuteEvents.Execute (UnityEngine.EventSystems.IPointerClickHandler handler, UnityEngine.EventSystems.BaseEventData eventData) [0x00000] in <9bb8f6e40006490da4518a3cf5afe42e>:0 
  at UnityEngine.EventSystems.ExecuteEvents.Execute[T] (UnityEngine.GameObject target, UnityEngine.EventSystems.BaseEventData eventData, UnityEngine.EventSystems.ExecuteEvents+EventFunction`1[T1] functor) [0x00000] in <9bb8f6e40006490da4518a3cf5afe42e>:0 
  at UnityEngine.EventSystems.StandaloneInputModule.ReleaseMouse (UnityEngine.EventSystems.PointerEventData pointerEvent, UnityEngine.GameObject currentOverGo) [0x00000] in <9bb8f6e40006490da4518a3cf5afe42e>:0 
  at UnityEngine.EventSystems.StandaloneInputModule.ProcessMousePress (UnityEngine.EventSystems.PointerInputModule+MouseButtonEventData data) [0x00000] in <9bb8f6e40006490da4518a3cf5afe42e>:0 
  at UnityEngine.EventSystems.StandaloneInputModule.ProcessMouseEvent (System.Int32 id) [0x00000] in <9bb8f6e40006490da4518a3cf5afe42e>:0 
  at UnityEngine.EventSystems.StandaloneInputModule.ProcessMouseEvent () [0x00000] in <9bb8f6e40006490da4518a3cf5afe42e>:0 
  at UnityEngine.EventSystems.StandaloneInputModule.Process () [0x00000] in <9bb8f6e40006490da4518a3cf5afe42e>:0 
  at UnityEngine.EventSystems.EventSystem.Update () [0x00000] in <9bb8f6e40006490da4518a3cf5afe42e>:0 

9/16/2020 12:34:20 PM	Arcen.AIW2.External.FallenSpirePerUnitExternalData: Tried to initialize Parent object as GameEntity_Squad, but type was Arcen.Universal.World
9/16/2020 12:34:20 PM	Arcen.AIW2.External.ExternalData_MinorFactionCommon: Tried to initialize Parent object as Faction, but type was Arcen.Universal.World
9/16/2020 12:34:20 PM	Arcen.AIW2.External.ExternalData_MinorFactionCommon: Tried to initialize Parent object as Faction, but type was Arcen.Universal.World
9/16/2020 12:34:20 PM	Arcen.AIW2.External.AI_PlannedWave_Data: Tried to initialize Parent object as Faction, but type was Arcen.Universal.World
9/16/2020 12:34:20 PM	Arcen.AIW2.External.AI_PlannedWave_Data: Tried to initialize Parent object as Faction, but type was Arcen.Universal.World
9/16/2020 12:34:20 PM
ERROR: DeserializeExternalDataFrom for EXTERNAL DATA - World debugStage: 10000 Error: System.IndexOutOfRangeException: Index was outside the bounds of the array.
  at Arcen.Universal.ArcenDeserializationBufferModern.ReadString_Condensed (System.String FieldNameForErrors) [0x001af] in <d638dc0226664b28ab0f70680cc32cf7>:0 
  at Arcen.AIW2.External.PlannedWave.DeserializeIntoSelf (Arcen.Universal.ArcenDeserializationBuffer buffer, System.Boolean IsForPartialSyncDuringMultiplayer) [0x001eb] in <caf8d92f8aee453b9c9dba1819492f3d>:0 
  at Arcen.AIW2.External.AI_PlannedWave_Data.DeserializeExternalData (Arcen.AIW2.Core.Faction ParentFaction, System.Object[] Target, System.Int32 ItemsToExpect, Arcen.Universal.ArcenDeserializationBuffer Buffer, System.Boolean IsForPartialSyncDuringMultiplayer) [0x000da] in <caf8d92f8aee453b9c9dba1819492f3d>:0 
  at Arcen.AIW2.Core.ArcenExternalDataPatternImplementationBase_Faction.DeserializeExternalDataOuter (System.Object ParentObject, System.Object[] Target, System.Int32 ItemsToExpect, Arcen.Universal.ArcenDeserializationBuffer Buffer, System.Boolean IsForPartialSyncDuringMultiplayer) [0x0004b] in <f83b275af74044589590b411f8fff383>:0 
  at Arcen.Universal.ArcenExternalData.DeserializedIntoSelf (Arcen.Universal.ArcenDeserializationBuffer Buffer, System.Boolean IsForPartialSyncDuringMultiplayer, System.String ExternalDataHeader) [0x000c0] in <d638dc0226664b28ab0f70680cc32cf7>:0 
  at Arcen.Universal.ArcenExternalData.DeserializeExternalDataFrom (Arcen.Universal.ArcenExternalDataPattern externalPattern, System.String namespaceName, System.Object ParentObject, Arcen.Universal.ArcenDeserializationBuffer Buffer, System.String ExternalDataHeader, System.Boolean IsForPartialSyncDuringMultiplayer) [0x00039] in <d638dc0226664b28ab0f70680cc32cf7>:0 
  at Arcen.Universal.ArcenExternalDataLookup.DeserializeExternalDataFrom (System.Object ParentObject, Arcen.Universal.ArcenDeserializationBuffer Buffer, System.String ExternalDataHeader, System.Boolean IsForPartialSyncDuringMultiplayer) [0x0033d] in <d638dc0226664b28ab0f70680cc32cf7>:0 

  at System.Environment.get_StackTrace () [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <d638dc0226664b28ab0f70680cc32cf7>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <d638dc0226664b28ab0f70680cc32cf7>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <d638dc0226664b28ab0f70680cc32cf7>:0 
  at Arcen.Universal.ArcenExternalDataLookup.DeserializeExternalDataFrom (System.Object ParentObject, Arcen.Universal.ArcenDeserializationBuffer Buffer, System.String ExternalDataHeader, System.Boolean IsForPartialSyncDuringMultiplayer) [0x00000] in <d638dc0226664b28ab0f70680cc32cf7>:0 
  at Arcen.Universal.World.DeserializedIntoSelf (Arcen.Universal.ArcenDeserializationBuffer Buffer, System.Boolean LoadAsTemplate, System.Boolean HideErrors, System.String& ErrorText, System.Boolean DoPartialSyncForDuringGameplay) [0x00000] in <d638dc0226664b28ab0f70680cc32cf7>:0 
  at Arcen.Universal.World.DeserializeNewWorldFrom (Arcen.Universal.ArcenDeserializationBuffer Buffer, System.Boolean LoadAsTemplate, System.Boolean HideErrors, System.String& ErrorText) [0x00000] in <d638dc0226664b28ab0f70680cc32cf7>:0 
  at Arcen.Universal.World.LoadWorldFromDiskInner (System.String SaveName, System.Byte[] Bytes, System.Boolean LoadAsTemplate, System.Boolean HideErrors, Arcen.Universal.GameVersion& FromGameVersion) [0x00000] in <d638dc0226664b28ab0f70680cc32cf7>:0 
  at Arcen.Universal.World.LoadWorldFromDiskNoCampaignNameSet (System.String FullSaveName, System.Boolean LoadAsTemplate, System.Boolean HideErrors, Arcen.Universal.GameVersion& FromGameVersion) [0x00000] in <d638dc0226664b28ab0f70680cc32cf7>:0 
  at Arcen.Universal.Engine_Universal.LoadGameNoCampaignNameSet_NeverCallDirectly_P1 (System.String FullSaveGameName, System.Boolean LoadAsTemplate, System.Boolean HideErrors) [0x00000] in <d638dc0226664b28ab0f70680cc32cf7>:0 
  at Arcen.AIW2.Core.Engine_AIW2.LoadGameNoCampaignNameSet (System.String FullSaveGameName, Arcen.AIW2.Core.StartWorldSource1 StartSource1, Arcen.AIW2.Core.StartWorldSource2 StartSource2) [0x00000] in <f83b275af74044589590b411f8fff383>:0 
  at Arcen.AIW2.External.Window_MainMenu+bCustomStartGame.StartCustomGame (System.Boolean StartInSinglePlayer) [0x00000] in <caf8d92f8aee453b9c9dba1819492f3d>:0 
  at Arcen.AIW2.External.Window_MainMenu+bCustomStartGame.HandleClick_Subclass (MouseHandlingInput input) [0x00000] in <caf8d92f8aee453b9c9dba1819492f3d>:0 
  at Arcen.AIW2.External.ButtonAbstractBase.HandleClick (MouseHandlingInput input) [0x00000] in <caf8d92f8aee453b9c9dba1819492f3d>:0 
  at Arcen.Universal.ArcenUI_Button.OnClick (UnityEngine.EventSystems.PointerEventData eventData) [0x00000] in <d638dc0226664b28ab0f70680cc32cf7>:0 
  at Arcen.Universal.ArcenUI_Button.OnPointerClick (UnityEngine.EventSystems.PointerEventData eventData) [0x00000] in <d638dc0226664b28ab0f70680cc32cf7>:0 
  at UnityEngine.EventSystems.ExecuteEvents.Execute (UnityEngine.EventSystems.IPointerClickHandler handler, UnityEngine.EventSystems.BaseEventData eventData) [0x00000] in <9bb8f6e40006490da4518a3cf5afe42e>:0 
  at UnityEngine.EventSystems.ExecuteEvents.Execute[T] (UnityEngine.GameObject target, UnityEngine.EventSystems.BaseEventData eventData, UnityEngine.EventSystems.ExecuteEvents+EventFunction`1[T1] functor) [0x00000] in <9bb8f6e40006490da4518a3cf5afe42e>:0 
  at UnityEngine.EventSystems.StandaloneInputModule.ReleaseMouse (UnityEngine.EventSystems.PointerEventData pointerEvent, UnityEngine.GameObject currentOverGo) [0x00000] in <9bb8f6e40006490da4518a3cf5afe42e>:0 
  at UnityEngine.EventSystems.StandaloneInputModule.ProcessMousePress (UnityEngine.EventSystems.PointerInputModule+MouseButtonEventData data) [0x00000] in <9bb8f6e40006490da4518a3cf5afe42e>:0 
  at UnityEngine.EventSystems.StandaloneInputModule.ProcessMouseEvent (System.Int32 id) [0x00000] in <9bb8f6e40006490da4518a3cf5afe42e>:0 
  at UnityEngine.EventSystems.StandaloneInputModule.ProcessMouseEvent () [0x00000] in <9bb8f6e40006490da4518a3cf5afe42e>:0 
  at UnityEngine.EventSystems.StandaloneInputModule.Process () [0x00000] in <9bb8f6e40006490da4518a3cf5afe42e>:0 
  at UnityEngine.EventSystems.EventSystem.Update () [0x00000] in <9bb8f6e40006490da4518a3cf5afe42e>:0 

9/16/2020 12:34:20 PM	Finish load save in 110.0ms
9/16/2020 12:34:20 PM	Start Generate Partial Map with Realistic and seed 113789163 and planet count 80 and 21 factions (StartingTheLobbyDefaults NotLoadingAnything)
9/16/2020 12:34:20 PM	PlayerAccount Puffin has now been put in control of faction 1.
9/16/2020 12:34:26 PM	Start Generate Partial Map with Realistic and seed 519246423 and planet count 80 and 21 factions (RegenerateLobbyFromPlayerInput NotLoadingAnything)
9/16/2020 12:34:27 PM	PlayerAccount Puffin has now been put in control of faction 1.
9/16/2020 12:34:27 PM	Generate Partial Map Complete  123ms
9/16/2020 12:34:35 PM	Attempting Steam P2P connection to DEMOCRACY? DEMOCRACY!.
9/16/2020 12:34:35 PM	STEAM NETWORKING: P2P connection attempt with DEMOCRACY? DEMOCRACY!
9/16/2020 12:34:36 PM	STEAM NETWORKING: P2P connection success to DEMOCRACY? DEMOCRACY!
9/16/2020 12:34:37 PM	Asking to join hosted game with the name 'Puffin'
9/16/2020 12:34:38 PM	Start loading the world (client PlayerAccount ID will be 3)
9/16/2020 12:34:38 PM	Loaded the world. Letting the host know that worked.
9/16/2020 12:34:38 PM	Multiplayer Connection Time Taken: Establishing_Connection - 1.3s
9/16/2020 12:34:38 PM	Multiplayer Connection Time Taken: Sending_Profile_Name_Expansions_And_Mods - 1.3s
9/16/2020 12:34:43 PM	Start loading the world (client PlayerAccount ID will be 3)
9/16/2020 12:34:43 PM	Loaded the world. Letting the host know that worked.
9/16/2020 12:35:37 PM	Start loading the world (client PlayerAccount ID will be 3)
9/16/2020 12:35:37 PM	Loaded the world. Letting the host know that worked.
9/16/2020 12:35:44 PM	Start loading the world (client PlayerAccount ID will be 3)
9/16/2020 12:35:44 PM	Loaded the world. Letting the host know that worked.
9/16/2020 12:35:57 PM	Start loading the world (client PlayerAccount ID will be 3)
9/16/2020 12:35:57 PM	Loaded the world. Letting the host know that worked.
9/16/2020 12:36:10 PM	Start loading the world (client PlayerAccount ID will be 3)
9/16/2020 12:36:10 PM	Loaded the world. Letting the host know that worked.
9/16/2020 12:36:11 PM	Start loading the world (client PlayerAccount ID will be 3)
9/16/2020 12:36:11 PM	Loaded the world. Letting the host know that worked.
9/16/2020 12:36:41 PM	Start loading the world (client PlayerAccount ID will be 3)
9/16/2020 12:36:41 PM	Loaded the world. Letting the host know that worked.
9/16/2020 12:36:43 PM	Start loading the world (client PlayerAccount ID will be 3)
9/16/2020 12:36:43 PM	Loaded the world. Letting the host know that worked.
9/16/2020 12:36:46 PM	Start loading the world (client PlayerAccount ID will be 3)
9/16/2020 12:36:46 PM	Loaded the world. Letting the host know that worked.
9/16/2020 12:36:48 PM	Start loading the world (client PlayerAccount ID will be 3)
9/16/2020 12:36:48 PM	Loaded the world. Letting the host know that worked.
9/16/2020 12:36:55 PM	Start loading the world (client PlayerAccount ID will be 3)
9/16/2020 12:36:55 PM	Loaded the world. Letting the host know that worked.
9/16/2020 12:36:58 PM	Start loading the world (client PlayerAccount ID will be 3)
9/16/2020 12:36:58 PM	Loaded the world. Letting the host know that worked.
9/16/2020 12:36:59 PM	Start loading the world (client PlayerAccount ID will be 3)
9/16/2020 12:36:59 PM	Loaded the world. Letting the host know that worked.
9/16/2020 12:38:19 PM	Start loading the world (client PlayerAccount ID will be 3)
9/16/2020 12:38:19 PM	Loaded the world. Letting the host know that worked.
9/16/2020 12:42:54 PM	Server just informed us that it shut down.  Exiting to main menu...
9/16/2020 12:43:52 PM	Attempting Steam P2P connection to DEMOCRACY? DEMOCRACY!.
9/16/2020 12:43:52 PM	STEAM NETWORKING: P2P connection attempt with DEMOCRACY? DEMOCRACY!
9/16/2020 12:43:54 PM	Asking to join hosted game with the name 'Puffin'
9/16/2020 12:43:54 PM	STEAM NETWORKING: P2P connection success to DEMOCRACY? DEMOCRACY!
9/16/2020 12:44:22 PM	Multiplayer Connection Time Taken: Establishing_Connection - 1.9s
9/16/2020 12:44:22 PM	Multiplayer Connection Time Taken: Sending_Profile_Name_Expansions_And_Mods - 27.5s
9/16/2020 12:44:23 PM	Attempting Steam P2P connection to DEMOCRACY? DEMOCRACY!.
9/16/2020 12:44:23 PM	STEAM NETWORKING: P2P connection attempt with DEMOCRACY? DEMOCRACY!
9/16/2020 12:44:25 PM	STEAM NETWORKING: P2P connection success to DEMOCRACY? DEMOCRACY!
9/16/2020 12:44:25 PM	Asking to join hosted game with the name 'Puffin'
9/16/2020 12:45:02 PM	Multiplayer Connection Time Taken: Establishing_Connection - 1.2s
9/16/2020 12:45:02 PM	Multiplayer Connection Time Taken: Sending_Profile_Name_Expansions_And_Mods - 36.9s
9/16/2020 12:46:06 PM	Current directory used: D:/Steam/steamapps/common/AI War 2/
Process Count = 0 so PlayerDataDirectory used: D:/Steam/steamapps/common/AI War 2/PlayerData/
9/16/2020 12:46:06 PM	Boot up FleetOS (0.3052s)
9/16/2020 12:46:06 PM	graphicsDeviceType in use: Direct3D11
graphicsDeviceVersion in use: Direct3D 11.0 [level 11.0]
graphicsMultiThreaded: True
graphicsShaderLevel: 50
operatingSystem: Windows 8.1  (6.3.0) 64bit
graphicsDeviceName: NVIDIA GeForce GTX 750 Ti
graphicsDeviceID: 4992
graphicsDeviceVendor: NVIDIA
graphicsDeviceVendorID: 4318
graphicsDeviceVersion: Direct3D 11.0 [level 11.0]
graphicsMemorySize: 1968
maxTextureSize: 16384
npotSupport: Full
processorType: Intel(R) Core(TM) i5-4460 CPU @ 3.20GHz
processorCount: 4
processorFrequency: 3193
systemMemorySize: 8144
supportedRenderTargetCount: 8
supportsComputeShaders: True
supportsShadows: True
usesReversedZBuffer: True
9/16/2020 12:46:06 PM	Check System Logs For Rogue Intelligence (0.1821s)
9/16/2020 12:46:06 PM	Game Version: 2.506
9/16/2020 12:46:06 PM	Eject Trash Into Hyperspace (0.0951s)
9/16/2020 12:46:06 PM	Check For Extra Modules (0.0280s)
9/16/2020 12:46:06 PM	Bring Cloaking Systems Online (0.0280s)
9/16/2020 12:46:06 PM	Recalculate Speed Of Light (0.0230s)
9/16/2020 12:46:06 PM	Optimize Comfort On Command Decks (0.0350s)
9/16/2020 12:46:06 PM	Generating Framerates (0.0120s)
9/16/2020 12:46:06 PM	Expansions:  The Spire Rises (Installed And Enabled!)  Zenith Onslaught (Installed And Enabled!)  
9/16/2020 12:46:06 PM	Mods:  MacrophageHistiocytes-CF (Disabled)  MacrophageHistiocytesSpireIntegration-CF (Disabled)  MoreStartingOptions (Disabled)  PreceptsOfThePrecursors-CF (Disabled)  SKCivilianIndustry (Disabled)  SpireRailgunShop (Disabled)  
9/16/2020 12:46:06 PM	Check Nearby Stellar Masses (0.0541s)
9/16/2020 12:46:06 PM	Remembering Alamo (0.0200s)
9/16/2020 12:46:06 PM	Boot Audio Comms (0.0140s)
9/16/2020 12:46:06 PM	Establish Individual Audio Links (0.0210s)
9/16/2020 12:46:06 PM	Prepare Explosions and Crackles (0.0280s)
9/16/2020 12:46:06 PM	No resolution change was required.
9/16/2020 12:46:06 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
9/16/2020 12:46:06 PM	Applied Framerate Type: 60 FPS (vsync: 0 targetFPS:60)
9/16/2020 12:46:06 PM	Refresh Optical Lensing (0.0290s)
9/16/2020 12:46:06 PM	Revise Fundamental Physical Laws (0.0140s)
9/16/2020 12:46:06 PM	Calculate Odds Of Success (0.0420s)
9/16/2020 12:46:07 PM	Briefly Panic (0.2182s)
9/16/2020 12:46:07 PM	Install Confidence Routines (0.2462s)
9/16/2020 12:46:07 PM	Bring Commander Interface Online (0.1051s)
9/16/2020 12:46:07 PM	Motivate All Crews (0.0390s)
9/16/2020 12:46:07 PM	Locating Available Networks (0.0260s)
9/16/2020 12:46:07 PM	Externalizing Patterns (0.0270s)
9/16/2020 12:46:07 PM	Hooking Externals (0.0140s)
9/16/2020 12:46:07 PM	Handlizing Hooks (0.0140s)
9/16/2020 12:46:07 PM	Disengaging Constants (0.0380s)
9/16/2020 12:46:07 PM	Late Axionic Computations (0.0550s)
9/16/2020 12:46:07 PM	Connecting to Fleet Command (0.0100s)
9/16/2020 12:46:07 PM	Thinking Of Advice (0.0160s)
9/16/2020 12:46:07 PM	Degaussing Advice (0.0220s)
9/16/2020 12:46:07 PM	Reading Alien Diaries (0.0150s)
9/16/2020 12:46:07 PM	Naming All Known Planets (0.0130s)
9/16/2020 12:46:07 PM	Remembering Speeds (0.0170s)
9/16/2020 12:46:07 PM	Prioritizing Targets (0.0170s)
9/16/2020 12:46:07 PM	Rebooting Sensor Arrays (0.0170s)
9/16/2020 12:46:07 PM	Unloading Prismatic Grid (0.0170s)
9/16/2020 12:46:07 PM	Thinking Of Objectives (0.0160s)
9/16/2020 12:46:07 PM	Inhibiting Visual Scans (0.0190s)
9/16/2020 12:46:07 PM	Synthesizing Vocals (0.0160s)
9/16/2020 12:46:07 PM	Investigating Map Signatures (0.0210s)
9/16/2020 12:46:07 PM	Ventilating Scenarios (0.0110s)
9/16/2020 12:46:08 PM	Decontaminating Targeting Systems (0.0170s)
9/16/2020 12:46:08 PM	Ejecting Tactical Core (0.0170s)
9/16/2020 12:46:08 PM	Calibrating Formations (0.0160s)
9/16/2020 12:46:08 PM	Intercepting Galactic Maps (0.0180s)
9/16/2020 12:46:08 PM	Discharging Colored Ions (0.0270s)
9/16/2020 12:46:08 PM	Replicating Ion Colors (0.0090s)
9/16/2020 12:46:08 PM	Faction Diagnostics (0.0250s)
9/16/2020 12:46:08 PM	Buffering Hackers (0.0200s)
9/16/2020 12:46:08 PM	Inverting Death (0.0110s)
9/16/2020 12:46:08 PM	Linear Field Variance (0.0170s)
9/16/2020 12:46:08 PM	Charging Marks (0.0150s)
9/16/2020 12:46:08 PM	Guarding The Posts (0.0820s)
9/16/2020 12:46:08 PM	Range Manifolds (0.0090s)
9/16/2020 12:46:08 PM	Purging ROFs (0.0160s)
9/16/2020 12:46:08 PM	Manipulating Speeds (0.0180s)
9/16/2020 12:46:08 PM	Detecting Projectiles (0.0151s)
9/16/2020 12:46:08 PM	Grouping Flow Fields (0.0190s)
9/16/2020 12:46:08 PM	Modulating Flow Field Groups (0.0370s)
9/16/2020 12:46:08 PM	Designing Fleets (0.0270s)
9/16/2020 12:46:08 PM	Thinking Of Technologies (0.0130s)
9/16/2020 12:46:08 PM	Categorizing Starboard Sensors (0.0140s)
9/16/2020 12:46:08 PM	Injecting Galactic Variables (0.0210s)
9/16/2020 12:46:08 PM	Sucking In Starfields (0.0210s)
9/16/2020 12:46:08 PM	Blowing Up Distant Planets (0.1981s)
9/16/2020 12:46:08 PM	Categorizing All Planets (0.0120s)
9/16/2020 12:46:08 PM	Organizing Commands (0.0220s)
9/16/2020 12:46:08 PM	Calculating Firing Cones (0.0120s)
9/16/2020 12:46:09 PM	Jailbreaking Favorite Ship Parts (0.5424s)
9/16/2020 12:46:09 PM	Re-Aligning Objectives (0.0190s)
9/16/2020 12:46:09 PM	Sterilizing Test Chamber (0.0180s)
9/16/2020 12:46:10 PM	Upgrade /dev/null (1.6394s)
9/16/2020 12:46:10 PM	Issuing Orders (0.0300s)
9/16/2020 12:46:10 PM	Augmenting Infusers (0.0090s)
9/16/2020 12:46:11 PM	Infusing (0.0280s)
9/16/2020 12:46:11 PM	Post-Proton Surge (0.0090s)
9/16/2020 12:46:11 PM	Stimulate Modulation (0.0450s)
9/16/2020 12:46:11 PM	ArcenAssetBundleCache.InstantiatedObjects: 980
9/16/2020 12:46:11 PM	Load Surrogates (0.1211s)
9/16/2020 12:46:12 PM	Final Checks (1.2064s)
9/16/2020 12:46:12 PM	Load Historical Documents (0.0070s)
9/16/2020 12:46:12 PM	6.4 seconds total load time.
Boot up FleetOS (0.3s)
Jailbreaking Favorite Ship Parts (0.5s)
Upgrade /dev/null (1.6s)
Final Checks (1.2s)
9/16/2020 12:46:12 PM	Hello Steam user 'RocketAssistedPuffin'
9/16/2020 12:47:07 PM	Base Color:  PinkPale    Trim Color:  c123524
9/16/2020 12:47:34 PM	Base Color:  AIWC_LightBrown    Trim Color:  c123524
9/16/2020 12:48:38 PM	Attempting Steam P2P connection to DEMOCRACY? DEMOCRACY!.
9/16/2020 12:48:38 PM	STEAM NETWORKING: P2P connection attempt with DEMOCRACY? DEMOCRACY!
9/16/2020 12:48:48 PM	Multiplayer Connection Time Taken: Establishing_Connection - 9.2s
9/16/2020 12:49:27 PM	Attempting Steam P2P connection to DEMOCRACY? DEMOCRACY!.
9/16/2020 12:49:27 PM	STEAM NETWORKING: P2P connection attempt with DEMOCRACY? DEMOCRACY!
9/16/2020 12:49:28 PM	STEAM NETWORKING: P2P connection success to DEMOCRACY? DEMOCRACY!
9/16/2020 12:49:28 PM	Asking to join hosted game with the name 'Puffin'
9/16/2020 12:50:30 PM	Multiplayer Connection Time Taken: Establishing_Connection - 1.0s
9/16/2020 12:50:30 PM	Multiplayer Connection Time Taken: Sending_Profile_Name_Expansions_And_Mods - 62.1s
ArcenDebugLog.txt (33,178 bytes)

x4000Bughunter

Sep 25, 2020 9:52 pm

administrator   ~0058682

Thanks! Great catch.

Issue History

Date Modified Username Field Change
Sep 16, 2020 7:57 am RocketAssistedPuffin New Issue
Sep 16, 2020 7:57 am RocketAssistedPuffin File Added: ArcenDebugLog.txt
Sep 25, 2020 9:52 pm x4000Bughunter Assigned To => x4000Bughunter
Sep 25, 2020 9:52 pm x4000Bughunter Status new => resolved
Sep 25, 2020 9:52 pm x4000Bughunter Resolution open => fixed
Sep 25, 2020 9:52 pm x4000Bughunter Fixed in Version => 2.600 Multiplayer Alpha Full Announcement
Sep 25, 2020 9:52 pm x4000Bughunter Note Added: 0058682